PVS(8)

NAME
pvs - report information about physical volumes

SYNOPSIS
pvs [--aligned] [-d/--debug] [-h/-?/--help] [--ignorelockingfailure] [--noheadings] [--nosuffix] [-o/--options [+]Field[,Field]] [-O/--sort [+/-]Key1[,[+/-]Key2[,...]]] [--separator Separator] [--unbuffered] [--units hsbkmgtHKMGT] [-v/--verbose] [--version] [PhysicalVolume [PhysicalVolume...]]

DESCRIPTION
pvs produces formatted output about physical volumes.

OPTIONS
See lvm for common options.

--aligned
    Use with --separator to align the output columns.

--noheadings
    Suppress the headings line that is normally the first line of output. Useful if grepping the output.

--nosuffix
    Suppress the suffix on output sizes. Use with --units (except h and H) if processing the output.

-o, --options
    Comma-separated ordered list of columns. Precede the list with '+' to append to the default selection of columns. Column names are: pv_fmt, pv_uuid, pv_size, dev_size, pv_free, pv_used, pv_name, pv_attr, pv_pe_count, pv_pe_alloc_count, pv_tags, pvseg_start, pvseg_size, pe_start. With --segments, any "pvseg_" prefixes are optional; otherwise any "pv_" prefixes are optional. Columns mentioned in vgs (8) can also be chosen. The pv_attr bits are: (a)llocatable and e(x)ported. Use -o help to view the full list of fields available.

--segments
    Produces one line of output for each contiguous allocation of space on each Physical Volume, showing the start (pvseg_start) and length (pvseg_size) in units of physical extents.

-O, --sort
    Comma-separated ordered list of columns to sort by. Replaces the default selection. Precede any column with - for a reverse sort on that column.

--separator Separator
    String to use to separate each column. Useful if grepping the output.

--unbuffered
    Produce output immediately without sorting or aligning the columns properly.

--units hsbkmgtHKMGT
    All sizes are output in these units: (h)uman-readable, (s)ectors, (b)ytes, (k)ilobytes, (m)egabytes, (g)igabytes, (t)erabytes. Capitalise to use multiples of 1000 (S.I.) instead of 1024. Can also specify custom (u)nits e.g. --units 3M

SEE ALSO
lvm(8), pvdisplay(8), lvs(8), vgs(8)